Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4320 - inetd fails to start rshd
Summary: inetd fails to start rshd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-02 21:29 UTC by sherrill
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 17:59:23 UTC


Attachments (Terms of Use)

Description sherrill 1999-08-02 21:29:07 UTC
you can recreate the problem in the following way:
execute an rcp of a single file from a solaris2.6 machine to
a linux5.2 client in a loop. the rcp will eventually hang.
if I kill inetd on the redhat5.2 machine and then restart it
the rcp's resume. I can rcp another file from a different
client while the rcp from the first machine is hung up. the
file I am transferring is not large (~37kB).

Comment 1 Jeff Johnson 1999-08-02 21:53:59 UTC
Check your /var/log/messages for errors. Inetd has code that turns off
any service that is respawning to fast. If you need a higher rate
of connections, then modify your inetd.conf to permit that (I've
forgotten details).

Comment 2 sherrill 1999-08-03 22:08:59 UTC
thanks for your suggestions.
I reran my test and got this error message in /var/log/messages:

Aug  3 14:57:09 lunchbox inetd[17857]: shell/tcp server failing
(looping), service terminated

I will look into how to change the respawn rate in inetd.conf

Comment 3 sherrill 1999-08-03 22:09:59 UTC
thanks for your suggestions.
I reran my test and got this error message in /var/log/messages:

Aug  3 14:57:09 lunchbox inetd[17857]: shell/tcp server failing
(looping), service terminated

I will look into how to change the respawn rate in inetd.conf


Note You need to log in before you can comment on or make changes to this bug.